1Password on Mastodon

SCIM Bridge [GCP - 2.7.0] - failed to GetCurrentUserWithGroupMemberships

carlosd6carlosd6
Community Member
edited December 2022 in SCIM Bridge

Hello,

I have a 1password with SCIM Bridge on GCP that sync with Google Workspace

Recently, I Update the SCIM Bridge from 2.6.2 to 2.7.0 and when I am syncing a users from the groups assigned I noted that is not updating in the 1password.

When the user is new, the works fine (aprovision the users correctly) but is not Added the new users to the group in the 1password

I checked the logs from the SCIM Bridge and I found this log:

{"level":"error","version":"2.7.0","build":"207001","application":"op-scim","request_id":"ce914hd8p9l77quurcng","error":"Server: (failed to GetCurrentUserWithGroupMemberships), Wrapped: (failed to Account.GetInfo), session is no longer valid, or missing credentials to authenticate","time":"2022-12-09T14:38:38Z","message":"failed to SyncGroups"}

I don't know if this logs represent the error but we don't change the permitions in Google Workspace, any one have a idea to fix the group sync?

Thanks for help


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Browser:_ Not Provided

Comments

  • Jack.P_1PJack.P_1P

    Team Member

    Hi @carlosd6:

    Thanks for reaching out about this. Can you please email your SCIM logs to [email protected], and include your username here on the 1Password Support Community? Please email us from the email address associated with the 1Password account that has 1Password SCIM Bridge, and we'll be able to get the ball rolling on investigating what's going on.

    Just so you know, I've removed your duplicate threads as well. 🙂

    Jack

  • carlosd6carlosd6
    Community Member

    Hi @Jack.P_1P I send the logs already

  • Jack.P_1PJack.P_1P

    Team Member

    Thanks, we'll be in touch there!

    Jack

  • carlosd6carlosd6
    Community Member

    Hello @Jack.P_1P , I saw the SCIM Bridge is updated to v2.7.3, this version has solved this bug??

  • Chas_1PChas_1P

    Team Member

    Hello @carlosd6 ,

    I'm a developer on the Provisioning side of things at 1Password. We did fix an issue in v2.7.2 with sessions expiring unexpectedly and causing Google Workspace sync issues for some customers. We recommend upgrading to the latest version, v2.7.3, as we are always making improvements and fixes to the SCIM bridge. Please reach out if you still experience problems after upgrading. Thanks!

    Chas

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file